
URL /pfl/api/itemAvailability/v1/details RE
TEMPLATE_BASED_SVC_TIME PL_ItemAvailability 2 250
#TEMPLATE_BASED_SVC_TIME PFL_ItemAvailability 2 2000
#TEMPLATE_BASED_SVC_TIME PFL_ItemAvailability 2 10000
nsl_search_var (UPC,LB="\"upcNumber\" : \"",RB="\",", ORD=1, SaveOffset=0, SaveLen=0, Method=NONE, IgnoreCase=No, Search=BODY);
nsl_search_var (OrderNum,LB="\"orderId\" : \"",RB="\",", ORD=ANY, SaveOffset=0, SaveLen=0, Method=NONE, IgnoreCase=No, Search=BODY);
nsl_search_var (upcNumber,LB="\"upcNumber\" : \"",RB="\",", ORD=ALL, SaveOffset=0, SaveLen=0, Method=NONE, IgnoreCase=No, Search=BODY);
nsl_search_var (lineNumber,LB="\"lineNumber\" : \"",RB="\",", ORD=ALL, SaveOffset=0, SaveLen=0, Method=NONE, IgnoreCase=No, Search=BODY);
nsl_search_var (quantityRequested,LB="\"quantityRequested\" : \"",RB="\",", ORD=ALL, SaveOffset=0, SaveLen=0, Method=NONE, IgnoreCase=No, Search=BODY);

#HPD_DEBUG 4
#MODULEMASK HTTP
TEMPLATE_BASED_HEADER PL_ItemAvailability Content-Type:application/json
nsl_index_file_var (UPCID,UPCID2, FILE=Data, IndexVar=UPC, FirstDataLine=1, ColumnDelimiter=,, HeaderLine=0, IgnoreInvalidDataLine=YES);
nsl_decl_var (ReturnStatus, DefaultValue="NO_Default_Scratch_Value");
nsl_search_var (RacfID, LB="\"racfId\" : ", RB=",", ORD=1, SaveOffset=0, SaveLen=0, Method=NONE, IgnoreCase=No, Search=BODY);
#BEGIN_CONDITIONAL_LOGIC_BLOCK
If ( RacfID (String) = "null" )
 Set ReturnStatus =  "Rejected"
 Else
 Set ReturnStatus =  "Approved"
#END_CONDITIONAL_LOGIC_BLOCK
RESPONSE_TEMPLATE PL_ItemAvailability Simulate NA service_PL_ItemAvailability active NA
SVC_TIME 2 250
ENABLE_DIRECT_ACCESS 1
HPD_DEBUG_TRACE 2